Ubuntu: I'm getting this error while apt-get upgrade Ubuntu 16.04



Question:

Configurando mysql-common (5.7.16-0ubuntu0.16.04.1) ...  update-alternatives: error: la ruta alternativa /etc/mysql/my.cnf.fallback no existe  dpkg: error al procesar el paquete mysql-common (--configure):   el subproceso instalado el script post-installation devolvió el código de salida de error 2  dpkg: problemas de dependencias impiden la configuración de libmysqlclient20:i386:   libmysqlclient20:i386 depende de mysql-common (>= 5.5); sin embargo:   El paquete `mysql-common' no está configurado todavía.    dpkg: error al procesar el paquete libmysqlclient20:i386 (--configure):   problemas de dependencias - se deja sin configurar  dpkg: problemas de dependencias impiden la configuración de libqt4-sql-mysql:i386:   libqt4-sql-mysql:i386 depende de libmysqlclient20 (>= 5.7.11); sin embargo:   El paquete `libmysqlclient20:i386' no está configurado todavía.    dpkg: error al procesar el paquete libqt4-sql-mysql:i386 (--configure):   problemas de dependencias - se deja sin configurar  dpkg: problemas de dependencias impiden la configuración de mysql-client-5.7:   mysql-client-5.7 depende de mysql-common (>= 5.5); sin embargo:   El paquete `mysql-common' no está configurado todavía.    dpkg: error al procesar el paquete mysql-client-5.7 (--configure):   problemas de dependencias - se deja sin configNo se escribió un informe «apport» porque el mensaje de error indica que es un mensaje de error asociado a un fallo previo.            No se escribió un informe «apport» porque el mensaje de error indica que es un mensaje de error asociado a un fallo previo.                                                       No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»                                                                No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»                                                                         urar  dpkg: problemas de dependencias impiden la configuración de mysql-client:   mysql-client depende de mysql-client-5.7; sin embargo:   El paquete `mysql-client-5.7' no está configurado todavía.    dpkg: error al procesar el paquete mysql-client (--configure):   problemas de dependencias - se deja sin configurar  Se encontraron errores al procesar:   mysql-common   libmysqlclient20:i386   libqt4-sql-mysql:i386   mysql-client-5.7   mysql-client  E: Sub-process /usr/bin/dpkg returned an error code (1)  

You can see errors in /var/crash

I don't need MySQL installed with apt-get, because I'm using Xampp. When I used apt-get remove, It installs MariaDB and a similar problem appears.


Solution:1

If you are sure you don't need any of those packages you can simply remove them doing the following:

  • You can run sudo dpkg --configure -a which will list all the broken packages, but no more than the already listed in the error message should appear.
  • Remove such packages with sudo dpkg -r BROKEN-PACKAGE-NAME, in your case:
sudo dpkg -r mysql-common   sudo dpkg -r libmysqlclient20:i386  sudo dpkg -r libqt4-sql-mysql:i386  sudo dpkg -r mysql-client-5.7  sudo dpkg -r mysql-clien  
  • Run sudo apt-get install -f to fix dependencies.

  • Last, sudo apt upgrade shouldn't return any error message.


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »